import request from '@/utils/request'

//查询bus公司列表
export function getBusList() {
  return request({
    url: '/h5/system/getBusCompanyList',
    method: 'get'
  })
}
// 登录方法
export function login(data) {
  return request({
    url: '/h5/system/login',
    method: 'post',
    data: data
  })
}
// line注册方法
export function lineLogin(data) {
  return request({
    url: '/h5/system/lineLogin',
    headers: {
      isToken: false
    },
    method: 'post',
    data: data
  })
}
// 注册方法
export function register(data) {
  return request({
    url: '/h5/system/register',
    headers: {
      isToken: false
    },
    method: 'post',
    data: data
  })
}

// 获取用户详细信息
export function getInfo() {
  return request({
    url: '/h5/system/getH5User',
    method: 'get'
  })
}

// 退出方法
export function logout() {
  return request({
    url: '/h5/system/logout',
    method: 'get'
  })
}

// 获取验证码
export function getCodeImg() {
  return request({
    url: '/captchaImage',
    method: 'get',
    timeout: 20000
  })
}